package com.jasamedika.medifirst2000.service;

import java.util.Map;

import com.jasamedika.medifirst2000.vo.DetailRupCustomVO;

public interface DetailRupService extends BaseAnggaranService{

	Map<String, Object> saveDetailLRup(DetailRupCustomVO vo);

	Map<String, Object> preAddKartuPengendali(Integer page, Integer limit, String sort, String dir, String dateStart,String dateEnd, Integer kegiatanId, Integer akunId, Integer asalProdukId);

	Map<String, Object> detailRupPaging(Integer page, Integer limit, String sort, String dir, String dateStart,String dateEnd);

	Map<String, Object> findRupList(Integer page, Integer limit, String sort, String dir, String dateStart,String dateEnd);

	Map<String, Object> getDetailRupHeaderByNoRec(String noRec);

	Map<String, Object> getAsalProduk(Integer kegiatanId);

	Map<String, Object> getMataAnggaran(Integer asalProdukId);

	
}
